Name: reaver
Version: 1.4
Release: 5%{?dist}
Summary: Brute force attack against Wifi Protected Setup
Group: Applications/System
License: GPLv2
URL: http://code.google.com/p/reaver-wps/
Source0: http://reaver-wps.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0: reaver-1.4-db-path.patch
Patch1: reaver-1.4-wireless-tools-unbundle.patch
Patch2: reaver-1.4-cflags.patch
BuildRequires: libpcap-devel, wireless-tools-devel, sqlite-devel
# https://fedorahosted.org/fpc/ticket/418
Provides: bundled(wpa_supplicant) = 0.7.3

%description
Reaver implements a brute force attack against Wifi Protected Setup (WPS)
registrar PINs in order to recover WPA/WPA2 passphrases, as described in
http://sviehb.files.wordpress.com/2011/12/viehboeck_wps.pdf.

%prep
%setup -q

# Remove executable mode from sources
find . -type f -perm /111 -regex ".*\.[ch]" -exec chmod a-x {} \;

%patch0 -p1 -b .db-path
%patch1 -p1 -b .wireless-tools-unbundle
%patch2 -p1 -b .cflags

# Unbundle wireless-tools
rm -rf src/lwe

%build
pushd src
%configure
make %{?_smp_mflags}
popd

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_localstatedir}/lib/reaver
install -d %{buildroot}%{_mandir}/man1
install -pm0755 src/{reaver,wash} %{buildroot}%{_bindir}/
install -pm0644 docs/reaver.1.gz %{buildroot}%{_mandir}/man1/
touch %{buildroot}%{_localstatedir}/lib/reaver/reaver.db

%files
%doc docs/LICENSE docs/README docs/README.REAVER docs/README.WASH
%{_bindir}/reaver
%{_bindir}/wash
%ghost %{_localstatedir}/lib/reaver/reaver.db
%{_mandir}/man1/*.1*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 25 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 1.4-3
- Fixed CFLAGS in wps/libwps and built them with -fPIC (by cflags patch)

* Fri Nov 14 2014 James W. Harshaw <jwharshaw@gmail.com> - 1.4-2
- Added bundled library modification

* Sat Feb 22 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 1.4-1
- Initial release
